{%- assign radio = site.about -%}

{% comment %}
https://developer.mozilla.org/en-US/docs/Web/HTML/Element/audio

Le indicamos al navegador que no empiece a cargar hasta que le damos
play porque sino vamos a escuchar la radio con retraso.
{% endcomment %}
{% unless radio.streams == empty %}
  <div
    data-controller="streaming"
    data-action="window@online->streaming#restartIfPlaying"
    data-streaming-sizes-value="192x192"
    data-streaming-title-value="{{ radio.title | escape }}"
    data-streaming-artist-value="{{ radio.artist | escape }}"
    data-streaming-artwork-value="{{ radio.image.path | default: radio.logo.path | thumbnail: 192, 192 | component_escape }}"
    data-streaming-type-value="image/{{ radio.image.path | default: radio.logo.path | extname }}"
    class="w-100">
    <audio
      data-action="ended->streaming#restart"
      data-streaming-target="transmission" controls preload="none" class="w-100">
      {% for source in radio.streams %}
        <source data-streaming-target="source" src="{{ source | component_escape }}" />
      {% endfor %}

      <p>
        {{ site.i18n.no_audio_support }}
        <a
          target="_blank"
          rel="noopener"
          href="{{ radio.streams | first }}">
          {{ radio.streams | first }}
        </a>
      </p>
    </audio>
  </div>
{% endunless %}
